Bug 432093 - Kernel defaults to nonworking clocksource, yum stalls, time jumped
Kernel defaults to nonworking clocksource, yum stalls, time jumped
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Gleixner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 15:00 EST by Kai Engert (:kaie) (on vacation)
Modified: 2009-07-14 14:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:23:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) (on vacation) 2008-02-08 15:00:54 EST
Host: i386, 4gb, Fedora 8, 2.6.23.14-115.fc8, running vmware server
guest: rawhide from recent alpha 1 dvd, 2.6.24-2.fc9, 784 mb

I tried to run "yum update".

It downloaded >300 packages, started transaction, then stalled at 1/721
packages, after having installed hwdata.

On a second ssh I noticed the date jumped back to 2001-07-18.
I was unable to run "top" (it stalled)
I was unable to kill yum.
I was unable to poweroff (it did not shut down).

# cat /sys/devices/system/clocksource/clocksource0/current_clocksource
tsc
# cat /sys/devices/system/clocksource/clocksource0/available_clocksource
tsc acpi_pm jiffies


I have power cycled the vm, now having booted with boot option
  nohz=off

It looks good this time (so far).
clocksource output same as above.
yum running and updating, clock still good.

Warren asked me to run another test with clocksource=acpi_pm (instead of nohz=off).

I will test that after the current yum update is done.
Comment 1 Jon Stanley 2008-02-08 15:21:45 EST
Yeah, if this is an SMP machine acpi_pm is the only viable clock source.
Comment 2 Kai Engert (:kaie) (on vacation) 2008-02-08 15:38:30 EST
As said before, I had booted with nohz=off and I was able to complete the yum
update cycle.

Now I have booted with 2.6.24-23.fc9, using no kernel options.
I'm building mozilla inside this vm, works so far, will report progress.
Comment 3 Kai Engert (:kaie) (on vacation) 2008-02-08 15:48:01 EST
Now the vm crashed. (note the host is running absolutely stable)

ssh sessions stalled.
vm still responds to ping, but can not login with ssh
interactive managing using vmware console does not work either
I can move the mouse (console cursor), but not enter anything.
Note that clock did NOT jump before the crash.

Rebooting, now trying clocksource=acpi_pm
Comment 4 Kai Engert (:kaie) (on vacation) 2008-02-08 18:35:09 EST
using clocksource=acpi_pm I was able to complete a full build a full mozilla
Comment 5 Jon Stanley 2008-02-17 17:30:10 EST
In that case, closing  this bug.
Comment 6 Kai Engert (:kaie) (on vacation) 2008-02-18 00:03:31 EST
(In reply to comment #5)
> In that case, closing  this bug.

How would an average user know that the explicit boot option is required?

Shouldn't the kernel set this clocksource on its own?
Comment 7 Jon Stanley 2008-02-18 00:17:24 EST
Hmm....good question.  There is
https://fedoraproject.org/wiki/KernelCommonProblems#head-c315e5c497d1ac178f1346fb691e44f2d9792ab5
thhat documents it, though.
Comment 8 Kai Engert (:kaie) (on vacation) 2008-02-18 02:32:41 EST
Jon, in comment 1 you said, for SMP machines, the only clocksource that makes
sense is acpi_pm.

If that is true, then why doesn't the kernel use that clocksource automatically?

I propose to reopen this bug until we agree on the right solution. Changed summary.

(I think it should not be necessary that end users search and discover this boot
option.)
Comment 9 Jon Stanley 2008-02-18 18:51:00 EST
Chuck -

Could you shed a little more light on this?  I just said what I said in comment
#1 since you had said that to me in another bug I think.  However, I just
checked, and my c2d system is using tsc.  I completed a full compile of
seamonkey in mock without issue there.  Is this one of those 'tsc works unless
it doesn't' type things? :)

Or is there something that I've missed here?
Comment 10 Chuck Ebbert 2008-02-20 17:37:49 EST
The kernel tries to determine whether the tsc is reliable. Sometimes it gets
that wrong. That's why we have the overrides. So it can be made to work but it
isn't transparent to the user when that happens.
Comment 11 Bug Zapper 2008-05-14 01:05:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Thomas Gleixner 2008-07-01 02:03:29 EDT
Kai, this is a vmware only problem or can you see that on real hardware as well ?
Comment 13 Kai Engert (:kaie) (on vacation) 2008-07-01 05:09:55 EDT
I saw it with vmware, only.
Comment 14 Bug Zapper 2009-06-09 19:31:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 14:23:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.